## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStream::UnsupportedEncodingException Class Reference

`#include <XalanOutputStream.hpp>`

Inheritance diagram for XalanOutputStream::UnsupportedEncodingException:

[legend]
Collaboration diagram for XalanOutputStream::UnsupportedEncodingException:

[legend]
List of all members.

## Public Methods

- UnsupportedEncodingException (const XalanDOMString &theEncoding, XalanDOMString &theBuffer)
- UnsupportedEncodingException (const UnsupportedEncodingException &other)
- virtual ~UnsupportedEncodingException ()
- const XalanDOMString& getEncoding () const
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XalanOutputStream::UnsupportedEncodingException::UnsupportedEncodingException ( | const XalanDOMString & theEncoding,
| XalanDOMString & theBuffer )

XalanOutputStream::UnsupportedEncodingException::UnsupportedEncodingException ( | const UnsupportedEncodingException & other )

XalanOutputStream::UnsupportedEncodingException::~UnsupportedEncodingException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMString & XalanOutputStream::UnsupportedEncodingException::getEncoding ( | ) const

const XalanDOMChar * XalanOutputStream::UnsupportedEncodingException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.